org.eclipse.wst.jsdt.ui.actions

## Class FindReferencesInProjectAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.FindAction
      - - org.eclipse.wst.jsdt.ui.actions.FindReferencesAction
        - - org.eclipse.wst.jsdt.ui.actions.FindReferencesInProjectAction

    public class FindReferencesInProjectAction
    extends FindReferencesAction

Finds references to the selected element in the enclosing project of the selected element. The action is applicable to selections representing a JavaScript element.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`FindReferencesInProjectAction(IWorkbenchSite site)` Creates a new `FindReferencesInProjectAction`.

### Method Summary

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.FindReferencesAction

`run`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.FindAction

`selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindReferencesInProjectAction

    public FindReferencesInProjectAction(IWorkbenchSite site)

Creates a new `FindReferencesInProjectAction`. The action requires that the selection provided by the site's selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action